View Issue Details

IDProjectCategoryView StatusLast Update
0032640CommunityOCCT:Codingpublic2021-11-05 20:31
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytrivial 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032640: Coding Rules - fix misprints in GeomliteTest_API2dCommands.cxx
Descriptionhttps://dev.opencascade.org/content/qa-warnings-753
 * QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * /var/tmp/portage/sci-libs/opencascade-7.5.3/work/occt-V7_5_3/src/GeomliteTest/GeomliteTest_API2dCommands.cxx:451:33: warning: ‘this’ pointer is null [-Wnonnull]
 * /var/tmp/portage/sci-libs/opencascade-7.5.3/work/occt-V7_5_3/src/GeomliteTest/GeomliteTest_API2dCommands.cxx:455:33: warning: ‘this’ pointer is null [-Wnonnull]
 * /var/tmp/portage/sci-libs/opencascade-7.5.3/work/occt-V7_5_3/src/ViewerTest/ViewerTest_ViewerCommands.cxx:8282:34: warning: ‘this’ pointer is null [-Wnonnull]
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032650 newkgv Coding Rules - QA warnings in 7.5.3 

Activities

git

2021-10-24 12:09

administrator   ~0104843

Branch CR32640 has been created by kgv.

SHA-1: 7fc269bcfa6d23ca61bc35f3f5a0c47470b82a51


Detailed log of new commits:

Author: kgv
Date: Sun Oct 24 12:09:02 2021 +0300

    0032640: Coding Rules - fix misprints in GeomliteTest_API2dCommands.cxx

git

2021-10-24 14:05

administrator   ~0104844

Branch CR32640 has been updated forcibly by kgv.

SHA-1: f1b2a3a7daaf5460a9866b80a0f84709adecccea

kgv

2021-10-27 14:07

developer   ~0104899

Please raise the patch
- OCCT: branch CR32640.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32640-master-KGV3/

smoskvin

2021-10-30 11:21

administrator   ~0104976

Combination -
OCCT branch : OCCT-760
master SHA - 0d186a91c07a6217cd132ec7ea03f1e6f7a2a9ce
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : OCCT-760 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17728.310000000427 / 17750.15000000046 [-0.12%]
Products
Total CPU difference: 11578.090000000113 / 11624.980000000118 [-0.40%]
Windows-64-VC14:
OCCT
Total CPU difference: 19746.84375 / 19683.796875 [+0.32%]
Products
Total CPU difference: 12740.0 / 10994.3125 [+15.88%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-02 21:09

administrator   ~0105023

Branch CR32640 has been deleted by mnt.

SHA-1: f1b2a3a7daaf5460a9866b80a0f84709adecccea

Related Changesets

occt: master 4f7ad5fb

2021-10-24 09:09:02

kgv


Committer: smoskvin Details Diff
0032640: Coding Rules - fix misprints in GeomliteTest_API2dCommands.cxx Affected Issues
0032640
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2021-10-24 12:08 kgv New Issue
2021-10-24 12:08 kgv Assigned To => kgv
2021-10-24 12:09 git Note Added: 0104843
2021-10-24 14:05 git Note Added: 0104844
2021-10-27 14:07 kgv Test case number => N/A
2021-10-27 14:07 kgv Note Added: 0104899
2021-10-27 14:07 kgv Assigned To kgv => bugmaster
2021-10-27 14:07 kgv Severity minor => trivial
2021-10-27 14:07 kgv Status new => resolved
2021-10-27 14:07 kgv Status resolved => reviewed
2021-10-30 11:21 smoskvin Note Added: 0104976
2021-10-30 11:21 smoskvin Status reviewed => tested
2021-11-02 17:57 smoskvin Changeset attached => occt master 4f7ad5fb
2021-11-02 17:57 smoskvin Assigned To bugmaster => smoskvin
2021-11-02 17:57 smoskvin Status tested => verified
2021-11-02 17:57 smoskvin Resolution open => fixed
2021-11-02 21:09 git Note Added: 0105023
2021-11-05 20:31 kgv Relationship added related to 0032650